package com.zhentao.common.user.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 
 * @TableName goose_user
 */
@TableName(value ="goose_user")
@Data
public class GooseUser implements Serializable {
    /**
     * 用户ID
     */
    @TableId
    private Long id;

    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;

    /**
     * 盐
     */
    private String salt;

    /**
     * 昵称
     */
    private String nickname;

    /**
     * 注册时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 用户类型（1 - 个人用户；2 - 企业管理员；3 - 企业成员；4 - 讲师；5 - 超级管理员）
     */
    private Integer userType;

    /**
     * 身份证号（实名）
     */
    private String idNumber;

    /**
     * 认证状态（0 - 未认证；1 - 认证中；2 - 已认证；3 - 认证失败）
     */
    private Integer authStatus;

    /**
     * 软删除标记（0 - 未删除；1 - 已删除）
     */
    private Integer deleteFlag;

    /**
     * 登录失败次数（用于风控锁定）
     */
    private Integer loginFailCount;

    /**
     * 用户头像
     */
    private String avatarUrl;

    /**
     * 微信登录
     */
    private String openId;

    /**
     * 微信登录
     */
    private String sessionKey;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}