package com.zhentao.common.user.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 
 * @TableName user_login
 */
@TableName(value ="user_login")
@Data
public class UserLogin implements Serializable {
    /**
     * 用户ID
     */
    @TableId
    private Long id;

    /**
     * 
     */
    private String openId;

    /**
     * 
     */
    private String unionId;

    /**
     * 
     */
    private String sessionPwd;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 最后登录时间
     */
    private Date lastLoginTime;

    /**
     * 直接上级
     */
    private Long puserId;

    /**
     * 所有上级
     */
    private String allPuserId;

    /**
     * 性别1男2女3未知
     */
    private Integer gender;

    /**
     * 个性签名
     */
    private String userIntro;

    /**
     * 手机号
     */
    private String userMobile;

    /**
     * 身份证号
     */
    private String idenNo;

    /**
     * 用户等级
     */
    private Long gradeId;

    /**
     * 等级描述
     */
    private String gradeDesc;

    /**
     * 是否付费会员
     */
    private Integer isMember;

    /**
     * 过期时间
     */
    private Date loseDate;

    /**
     * 1临时会员2副卡3正式会员
     */
    private Integer memberType;

    /**
     * 主卡id
     */
    private Long mainCardId;

    /**
     * 用户组
     */
    private Long groupId;

    /**
     * 组名称
     */
    private String groupName;

    /**
     * 生日
     */
    private Date birthDay;

    /**
     * 月
     */
    private Integer birthMonth;

    /**
     * 日
     */
    private Integer days;

    /**
     * 总订单数
     */
    private Integer totalOrder;

    /**
     * 总消费金额
     */
    private BigDecimal totalConsume;

    /**
     * 标签列表
     */
    private String labelList;

    /**
     * 状态1正常0锁定
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 乐观锁
     */
    private Integer reversion;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}